LegacyCollector

Home | Legacy Firefox Extensions | Content Policy | Contact

Heartbleed-Ext

Author(s):



Displays a warning if the site you are browsing is affected by the Heartbleed bug

Many HTTPS-secured sites on the internet use OpenSSL. Unfortunately, a major vulnerability in OpenSSL was disclosed - known as the Heartbleed bug - yesterday that put hundreds of thousands of servers at risk of compromise.

Whilst some servers have been patched already, many remain that have not been patched. Heartbleed uses a web service developed by Filippo Valsorda and checks the URL of the page you have just loaded. If it is affected by a Firefox notification will be displayed. It's as simple as that GREEN GOOD / RED BAD

Please note that, in some jurisdictions, site testing can only be carried out with the express permission of the site owner. Please check what the law says in your local area before proceeding to download this extension.

Download files:

heartbleed-checker-3.0.1-signed.1-signed.xpi




This page is part of the LegacyCollector website.
Disclaimer: All material on this site is property of their respective owners and available under
open licenses to the best of our knowledge. If you are an author and would like anything removed,
then please write an e-mail to legacy [at] collector dot org.